For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Pods
      • GETGet Pod
      • POSTCreate Pod
      • DELDelete Pod
LogoLogo
contact@agentmail.ccDiscord
API ReferencePods

List Pods

GET
/v0/pods
GET
/v0/pods
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.pods.list()
200Retrieved
1{
2 "count": 1,
3 "pods": [
4 {
5 "pod_id": "pod_id",
6 "name": "name",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "created_at": "2024-01-15T09:30:00Z",
9 "client_id": "client_id"
10 },
11 {
12 "pod_id": "pod_id",
13 "name": "name",
14 "updated_at": "2024-01-15T09:30:00Z",
15 "created_at": "2024-01-15T09:30:00Z",
16 "client_id": "client_id"
17 }
18 ],
19 "limit": 1,
20 "next_page_token": "next_page_token"
21}
**CLI:** ```bash agentmail pods list ```
Was this page helpful?
Previous

Get Pod

Next
Built with

CLI:

$agentmail pods list

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.
ascendingbooleanOptional
Sort in ascending temporal order.

Response

This endpoint returns an object.
countinteger
Number of items returned.
podslist of objects

Ordered by created_at descending.

limitinteger
Limit of number of items returned.
next_page_tokenstring
Page token for pagination.